Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmldb.api.modules
Interface CollectionManagementService

All Superinterfaces:
  Configurable, Service

All Known Implementing Classes:
  BXCollectionManagementService

    public interface CollectionManagementService

extends Service

CollectionManagementService is a `Service` that enables the basic management of collections within a database. The functionality provided is very basic because collection management varies widely among databases. This service simply provides functionality for those databases that are able to implement this basic functionality.

Method Summary
`Collection` | `createCollection(java.lang.String name)` Creates a new `Collection` in the database.
`void` | `removeCollection(java.lang.String name)` Removes a named `Collection` from the system.

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion, setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Method Detail

### createCollection

    Collection createCollection(java.lang.String name)
                                throws XMLDBException

  Creates a new `Collection` in the database. The default configuration of the database is determined by the implementer. The new `Collection` will be created relative to the `Collection` from which the `CollectionManagementService` was retrieved.

  Parameters:
    `name` - The name of the collection to create.
  Returns:
    The created `Collection` instance.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### removeCollection

    void removeCollection(java.lang.String name)
                          throws XMLDBException

  Removes a named `Collection` from the system. The name for the `Collection` to remove is relative to the `Collection` from which the `CollectionManagementService` was retrieved.

  Parameters:
    `name` - The name of the collection to remove.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD